Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.matching
Interface MatcherAPI

public interface MatcherAPI

The MatcherAPI interface enables communication between the eView Studio application and the match engine being used. A custom match engine adapter must implement this interface to be used with eView Studio.

Method Summary
`java.util.ArrayList` | `findWeights(SystemObject base, QueryResults block, MatchOptions matchOptions)` Retrieves all the match weights, comparing the base system object to the candidate records retrieved from the database for a blocking query.
`void` | `initialize(MatchEngineConfiguration config)` Initializes the match engine and the match engine adapter once upon startup for each instance of the match engine adapter.
`void` | `shutdown()` Shuts down the match engine and adapter, and releases any resources associated with the instance.

Method Detail

### findWeights

    public java.util.ArrayList findWeights(SystemObject base,
                                           QueryResults block,
                                           MatchOptions matchOptions)
                                    throws MatchingException

  Retrieves all the match weights, comparing the base system object to the candidate records retrieved from the database for a blocking query.

  Parameters:
    `base` - The SystemObject to match against.
    `block` - The block of database records with which to compare the system object.
    `matchOptions` - An object that indicates whether to sort the results by weight and also indicates a minimum weight for the records to return.
  Returns:
    `ArrayList` - A list of results (ScoreElement) along with the weight for each EUID.
  Throws:
    `MatchingException` - Thrown if an error occurs while determining the match weights or if the matching fails.

### initialize

    public void initialize(MatchEngineConfiguration config)
                    throws MatchingException

  Initializes the match engine and the match engine adapter once upon startup for each instance of the match engine adapter.

  Parameters:
    `config` - A MatchEngineConfiguration object containing the configuration of the match engine.
  Returns:
    `void` - None.
  Throws:
    `MatchingException` - Thrown if the initialization fails.

### shutdown

    public void shutdown()
                  throws MatchingException

  Shuts down the match engine and adapter, and releases any resources associated with the instance. Call this once for each instance of the match engine adapter.

  Parameters:
    None.
  Returns:
    `void` - None.

  Throws:
    `MatchingException` - Thrown if the instance fails to shut down.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.